View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000530Ecere SDKidepublic2010-08-07 16:512013-08-07 03:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000530: In compiler output, relative paths for added projects sometimes go before the messages
Description  ..\In file included from src\Containers\bla.c
TagsNo tags attached.
Attached Files

- Relationships
related to 0000479closedjerome ide: build: bad linker error 
has duplicate 0000607closedredj Compile errors with 'In File Included From' , the ..\ appears before 'In File ...' 
related to 0000810closedjerome IDE: 'In file included from' messages not showing in IDE 

-  Notes
(0000549)
redj (administrator)
2012-03-27 21:05
edited on: 2012-04-05 15:06

https://github.com/ecere/sdk/commit/9db9df0dbfd17b067b9dba85d4ea74ece2ea3d11 [^]

(0000596)
jerome (administrator)
2012-04-23 17:26

There is still an issue with this and linking.
The typical Linking message says:

[full path here] In function 'bla'
[the relative path here shouldn't be here, there is no file in the msg!] error: undefined reference to 'blo'
(0000698)
redj (administrator)
2013-04-24 04:07

../kernel/ from src/Common/bitmap.c:31: (Linker issues too?)
(0000729)
jerome (administrator)
2013-04-25 08:59

Fixed by https://github.com/ecere/sdk/commit/f5911f09790016dc9bfd33f471db499d96ed35f0 [^]

- Issue History
Date Modified Username Field Change
2010-08-07 16:51 jerome New Issue
2010-08-07 16:51 jerome Status new => assigned
2010-08-07 16:51 jerome Assigned To => redj
2010-08-07 16:51 jerome Relationship added child of 0000429
2011-11-03 15:22 jerome Relationship added has duplicate 0000607
2012-03-07 09:03 redj Relationship added related to 0000623
2012-03-07 09:03 redj Relationship deleted related to 0000623
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:44 redj Relationship deleted child of 0000429
2012-03-27 21:05 redj Target Version 0.45 Ginkakuji => 0.44.1 Android
2012-03-27 21:05 redj Status assigned => resolved
2012-03-27 21:05 redj Fixed in Version => 0.44.1 Android
2012-03-27 21:05 redj Resolution open => fixed
2012-03-27 21:05 redj Note Added: 0000549
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2012-04-05 15:06 redj Note Edited: 0000549
2012-04-23 17:26 jerome Note Added: 0000596
2012-04-23 17:26 jerome Status resolved => confirmed
2013-04-24 04:06 redj Relationship added related to 0000810
2013-04-24 04:07 redj Note Added: 0000698
2013-04-24 07:45 jerome Relationship added related to 0000479
2013-04-24 07:49 jerome Resolution fixed => open
2013-04-25 06:23 jerome Status confirmed => assigned
2013-04-25 06:23 jerome Assigned To redj => jerome
2013-04-25 08:59 jerome Status assigned => resolved
2013-04-25 08:59 jerome Resolution open => fixed
2013-04-25 08:59 jerome Note Added: 0000729
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker